Subject: bare repositories: packing and fetching

From: Andy Whitcroft <[email-masked]>
Date: Fri, 15 Sep 2006 19:04:39 +0100

I was trying to make a bare repo to stage linus' main tree.  As this was
only to be a local tree for others to pull from I thought that I could
clone his tree 'bare' and then fetch into that on a regular basis.  That
does not appear to be the case?  Both git fetch and git repack say 'not
a git repository .git' and bail.

Is this expected behaviour.  Do I have to have all the checked out files?

-apw